std::chrono::hh_mm_ss< _Duration > Class Template Reference
Utilities » Time

`#include <chrono>`

## Public Types

using | precision

## Public Member Functions

constexpr | hh_mm_ss (_Duration __d)
constexpr chrono::hours | hours () const noexcept
constexpr bool | is_negative () const noexcept
constexpr chrono::minutes | minutes () const noexcept
constexpr | operator precision () const noexcept
constexpr chrono::seconds | seconds () const noexcept
constexpr precision | subseconds () const noexcept
constexpr precision | to_duration () const noexcept

## Static Public Attributes

static constexpr unsigned | fractional_width

## Detailed Description

template<typename _Duration>
class std::chrono::hh_mm_ss< _Duration >

Utility for splitting a duration into hours, minutes, and seconds

This is a convenience type that provides accessors for the constituent parts (hours, minutes, seconds and subseconds) of a duration.

Since
  C++20

Definition at line 2336 of file chrono.

## Member Typedef Documentation

## precision

template<typename _Duration>

using std::chrono::hh_mm_ss< _Duration >::precision

Definition at line 2391 of file chrono.

## Constructor & Destructor Documentation

## hh_mm_ss()

template<typename _Duration>

std::chrono::hh_mm_ss< _Duration >::hh_mm_ss | ( | _Duration | __d | ) |

inline explicit constexpr

Definition at line 2398 of file chrono.

## Member Function Documentation

## hours()

template<typename _Duration>

chrono::hours std::chrono::hh_mm_ss< _Duration >::hours | ( |  | ) | const

inline constexpr noexcept

Definition at line 2412 of file chrono.

## is_negative()

template<typename _Duration>

bool std::chrono::hh_mm_ss< _Duration >::is_negative | ( |  | ) | const

inline constexpr noexcept

Definition at line 2403 of file chrono.

## minutes()

template<typename _Duration>

chrono::minutes std::chrono::hh_mm_ss< _Duration >::minutes | ( |  | ) | const

inline constexpr noexcept

Definition at line 2416 of file chrono.

## operator precision()

template<typename _Duration>

std::chrono::hh_mm_ss< _Duration >::operator precision | ( |  | ) | const

inline explicit constexpr noexcept

Definition at line 2428 of file chrono.

## seconds()

template<typename _Duration>

chrono::seconds std::chrono::hh_mm_ss< _Duration >::seconds | ( |  | ) | const

inline constexpr noexcept

Definition at line 2420 of file chrono.

## subseconds()

template<typename _Duration>

precision std::chrono::hh_mm_ss< _Duration >::subseconds | ( |  | ) | const

inline constexpr noexcept

Definition at line 2424 of file chrono.

## to_duration()

template<typename _Duration>

precision std::chrono::hh_mm_ss< _Duration >::to_duration | ( |  | ) | const

inline constexpr noexcept

Definition at line 2432 of file chrono.

## Member Data Documentation

## fractional_width

template<typename _Duration>

unsigned std::chrono::hh_mm_ss< _Duration >::fractional_width

static constexpr

Definition at line 2389 of file chrono.

The documentation for this class was generated from the following file:

- chrono